summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Damian Perticone2022-05-07 01:26:35 +0200
committer Willy Sudiarto Raharjo2022-05-07 08:59:35 +0200
commit7f66d5df4613fc41d4bba80e2841f56376886ebe (patch)
tree0a3c5b42cc7520c5a264479ce5715ebc4f8ee048
parentbe6deabc200c5fb6b344a3d9e6e4c66bdf0ee90e (diff)
downloadslackbuilds-7f66d5df4613fc41d4bba80e2841f56376886ebe.tar.gz
desktop/grim: Added (Grab images from a Wayland compositor)
Signed-off-by: Dave Woodfall <dave@slackbuilds.org> Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
-rw-r--r--desktop/grim/README29
-rw-r--r--desktop/grim/grim.SlackBuild120
-rw-r--r--desktop/grim/grim.info10
-rw-r--r--desktop/grim/slack-desc19
4 files changed, 178 insertions, 0 deletions
diff --git a/desktop/grim/README b/desktop/grim/README
new file mode 100644
index 0000000000..300d5810d8
--- /dev/null
+++ b/desktop/grim/README
@@ -0,0 +1,29 @@
+Grim is a command-line utility to take screenshots of wayland desktops.
+Works great with slurp.
+Requires scdoc
+
+Example usage
+
+Screenshoot all outputs:
+
+grim
+
+Screenshoot a specific output:
+
+grim -o DP-1
+
+Screenshoot a region:
+
+grim -g "10,20 300x400"
+
+Select a region and screenshoot it:
+
+grim -g "$(slurp)"
+
+Use a custom filename:
+
+grim $(xdg-user-dir PICTURES)/$(date +'%s_grim.png')
+
+Screenshoot and copy to clipboard:
+
+grim - | wl-copy
diff --git a/desktop/grim/grim.SlackBuild b/desktop/grim/grim.SlackBuild
new file mode 100644
index 0000000000..ac0c0a3095
--- /dev/null
+++ b/desktop/grim/grim.SlackBuild
@@ -0,0 +1,120 @@
+#!/bin/bash
+
+# Slackware build script for grim
+
+# Copyright 2022 Damian Perticone Berisso,Argentina
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+cd $(dirname $0) ; CWD=$(pwd)
+
+PRGNAM=grim
+SRCNAM=grim-v1.4.0
+VERSION=${VERSION:-1.4.0}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+PKGTYPE=${PKGTYPE:-tgz}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
+ exit 0
+fi
+
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $SRCNAM
+tar xvf $CWD/$SRCNAM.tar.gz || tar xvf $CWD/v$VERSION.tar.gz
+cd $SRCNAM
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+mkdir build
+cd build
+ CFLAGS="$SLKCFLAGS" \
+ CXXFLAGS="$SLKCFLAGS" \
+ meson .. \
+ --buildtype=release \
+ --infodir=/usr/info \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ -Dstrip=true \
+ -Djpeg=enabled \
+ -Dman-pages=enabled \
+ -Dfish-completions=false \
+ -Dbash-completions=false \
+
+ "${NINJA:=ninja}"
+ DESTDIR=$PKG $NINJA install
+
+cd ..
+
+rm -f $PKG/{,usr/}lib${LIBDIRSUFFIX}/*.la
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a LICENSE README.md $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE
diff --git a/desktop/grim/grim.info b/desktop/grim/grim.info
new file mode 100644
index 0000000000..c2b0356210
--- /dev/null
+++ b/desktop/grim/grim.info
@@ -0,0 +1,10 @@
+PRGNAM="grim"
+VERSION="1.4.0"
+HOMEPAGE="https://git.sr.ht/~emersion/grim"
+DOWNLOAD="https://git.sr.ht/~emersion/grim/archive/v1.4.0.tar.gz"
+MD5SUM="9ac915156087b3f0ad8f6f476d9f8cb5"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="scdoc"
+MAINTAINER="Damian Perticone"
+EMAIL="mjolnirdam@gmail.com"
diff --git a/desktop/grim/slack-desc b/desktop/grim/slack-desc
new file mode 100644
index 0000000000..b36f72518d
--- /dev/null
+++ b/desktop/grim/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+grim: grim (Grab images from a Wayland compositor)
+grim:
+grim: Grim is a command-line utility to take screenshots of
+grim: wayland desktops.
+grim:
+grim:
+grim:
+grim:
+grim:
+grim: Home: https://sr.ht/~emersion/grim/
+grim: